#ifndef _GIFWCX_INCLUDED_
#define _GIFWCX_INCLUDED_


#include "cximage/cximage/ximage.h"

class CGifRead
{
private:
	long index;
	PCHAR ArcName;

	WIN32_FILE_ATTRIBUTE_DATA attr;
	int filetime;
	int digits;
	CHAR frameformatname[25];

	tProcessDataProc ProcessDataProc;
public:
	int NumFrames;
	CxImage Image;

	CGifRead();
	~CGifRead();

	BOOLEAN Load(PCHAR filename);
	BOOLEAN ReadHeader(tHeaderData *HeaderData);
	BOOLEAN ProcessFile(int Operation, char *DestPath, char *DestName);
	void SetProcessDataProc(tProcessDataProc pProcessDataProc) { ProcessDataProc=pProcessDataProc; }
	BOOLEAN ReadFrame(CxImage *img,int i);
};

typedef CGifRead* PGifRead;




#endif